function s = eigenvalues(A, Nit, epsilon)
% function that computes the eigenvalues of a matrix A using the QR
% iteration algorithm with a maximum of Nit iterations or until a trheshold 
% epsilon has been achieved.
% input : A        a squared matrix
%         Nit      maximum number of iterations
%         epsilon  tolerace

% In this file you will compute the eigenvalues of A, up to an accuracy
% epsilon using the QR iteration. You will find using similarity
% transformations a diagonal matrix (that is similar to A), that contains
% the eigenvalues of A. 

%test that the matrix is squares
[m,n] = size(A);
if m ~=n 
    error('Matrix is not squared \n');
end

% create an auxiliary matrix
D = A;

s = 0;
for i=1:Nit
   % you need to compute the QR factorization of A using the built-in matlab
% funtion qr
% [Q, R] = qr(D);
% you will form the new matrix 

% stopping criterion
% everything not in the diagonal of A has to be really small

% D = R*Q
end


end